Bug 1250541 - [RFE] Allow additions of accessible addresses to the Horizon
[RFE] Allow additions of accessible addresses to the Horizon
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
x86_64 Linux
high Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Jiri Stransky
Ido Ovadia
: FutureFeature, TestOnly, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 08:25 EDT by Yogev Rabl
Modified: 2016-05-03 13:11 EDT (History)
9 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.7-5.el7ost
Doc Type: Enhancement
Doc Text:
This update provides customization to Horizon's 'allowed_hosts' parameter. Use the HorizonAllowedHosts parameter in an environment file's 'default_parameters' section to provide a custom list of hosts allowed to access Horizon. The default is '*', which allows any host.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-03 13:11:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 221255 None None None 2016-02-23 16:58 EST

  None (edit)
Description Yogev Rabl 2015-08-05 08:25:15 EDT
Description of problem:
In /etc/openstack-dashboard/local_settings the parameter ALLOWED_HOSTS defines the address to which the Horizon will answer when an http request is been received. In cases when the address is been set externally for an example, by DNS record with a different FQDN than the host name, the new address should be added to the list defined in the ALLOWED_HOSTS parameter. 
In other cases a ServerAlias should be added in the Apache configuration file /etc/httpd/conf.d/15-horizon_vhost.conf with the new IP/FQDN address. 

Version-Release number of selected component (if applicable):
openstack-heat-api-cloudwatch-2015.1.0-5.el7ost.noarch
openstack-heat-engine-2015.1.0-5.el7ost.noarch
heat-cfntools-1.2.8-2.el7.noarch
openstack-heat-api-cfn-2015.1.0-5.el7ost.noarch
openstack-heat-api-2015.1.0-5.el7ost.noarch
openstack-heat-templates-0-0.6.20150605git.el7ost.noarch
python-heatclient-0.6.0-1.el7ost.noarch
openstack-tripleo-heat-templates-0.8.6-45.el7ost.noarch
openstack-heat-common-2015.1.0-5.el7ost.noarch
openstack-tripleo-common-0.0.1.dev6-1.git49b57eb.el7ost.noarch
openstack-tripleo-image-elements-0.9.6-6.el7ost.noarch
openstack-tripleo-0.0.7-0.1.1664e566.el7ost.noarch
openstack-tripleo-puppet-elements-0.0.1-4.el7ost.noarch

Steps to Reproduce:
1. Install OSP
2. Add an additional IP to the controller (or the undercloud host)
3. try to access Horizon

Actual results:
The login page will not be available

Expected results:
A parameter in the installation will ask for additional addresses from which the Horizon will allow to access to
Comment 3 Yanis Guenane 2015-09-08 07:11:58 EDT
Review to address this RFE: https://review.openstack.org/221255
Comment 4 Yanis Guenane 2015-10-15 11:51:53 EDT
Fix merged upstream.
Comment 11 Ido Ovadia 2016-05-03 06:37:14 EDT
Verified
========
openstack-tripleo-heat-templates-0.8.14-9.el7ost.noarch

Note You need to log in before you can comment on or make changes to this bug.